/*
 * IntuitionGraph.qml  -  Parent overview to build IntuitionBuildGraph
 *
 * Copyright © 2023,2024 IntuitionSailing.com.  All rights reserved.
 * Contact: IntiutionSailing http://www.intuitionsailing.com don@intuitionsailing.com
 *
*/

import QtQuick 1.1

OverviewPage {

  id: root
  title: qsTr( (systemName.valid && systemName.length > 0 ? systemName.value + "'s " : "" ) + "Graphs")
  
  // Use the dbus item /Settings/Intuition
  property string _myPrefix: "com.victronenergy.settings/Settings/Intuition"
  property VBusItem systemName: VBusItem {bind: Utils.path(bindPrefix, "/Settings/SystemSetup/SystemName")}

  // Begin layout
  IntuitionPageHeader {
    id: header
    height: 16
    width: parent.width
    caption: "Graph"
  }

  IntuitionBuildGraph {
    graphId:          0
    height:           200
    width:            400
    anchors.fill: parent
    anchors.topMargin: header.height
  }

}