/*
 * IntutionPageHeader.qml - Common header for Intuition pages
 *
 * Copyright © 2023,2024 IntuitionSailing.com.  All rights reserved.
 * Contact: IntiutionSailing http://www.intuitionsailing.com don@intuitionsailing.com
 *
*/

import QtQuick 1.1
//import com.victron.velib 1.0
//import "utils.js" as Utils

Item {
  id: intuitionHeader
  
  property string caption: ""

  // Header Rectangle
  Rectangle {
    id: header
    width: parent.width
    height: parent.height
    color: "#0e2a53"
    
    Timer {
      id: wallClock
      running: true
      repeat: true
      interval: 1000
      triggeredOnStart: true
      onTriggered: time = Qt.formatDateTime(new Date(), "h:mm")
      property string time
    }

    Text {
      id: captionText
      anchors {
        horizontalCenter: parent.horizontalCenter
        verticalCenter: parent.verticalCenter
      }
      color: "#ffffff"
      font {pixelSize: 12; bold: true}
      text: (systemName.valid ? systemName.value + "'s ": "") + caption   //"Graphs - " + displayRange(graphInterval)
    }

    // Caption: clock/time
    Text {
      anchors {
        right: header.right; rightMargin: 8
        verticalCenter: parent.verticalCenter
      }
      color: "#ffffff"
      font {pixelSize: 12; bold: true}
      text: wallClock.time
  }
}
}